package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaSalaryMaster;
import com.ruoyi.oa.domain.vo.OaSalaryMasterVo;
import com.ruoyi.oa.domain.bo.OaSalaryMasterBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工资发放主Service接口
 *
 * @author Joshi
 * @date 2025-09-08
 */
public interface IOaSalaryMasterService {

    /**
     * 查询工资发放主
     */
    OaSalaryMasterVo queryById(Long masterId);

    /**
     * 查询工资发放主列表
     */
    TableDataInfo<OaSalaryMasterVo> queryPageList(OaSalaryMasterBo bo, PageQuery pageQuery);

    /**
     * 查询工资发放主列表
     */
    List<OaSalaryMasterVo> queryList(OaSalaryMasterBo bo);

    /**
     * 新增工资发放主
     */
    Boolean insertByBo(OaSalaryMasterBo bo);

    /**
     * 修改工资发放主
     */
    Boolean updateByBo(OaSalaryMasterBo bo);

    /**
     * 校验并批量删除工资发放主信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 批量插入工资明细
     */
    Boolean batchInsertDetails(OaSalaryMasterBo bo);
}
